ipptool(1)

NOM
ipptool - Réaliser des requêtes d’impression par internet

SYNOPSIS
ipptool [ --help ] [ --ippserver fichier ] [ --stop-after-include-error ] [ --version ] [ -4 ] [ -6 ] [ -C ] [ -E ] [ -I ] [ -L ] [ -P fichier.plist ] [ -S ] [ -T secondes ] [ -V version ] [ -X ] [ -c ] [ -d nom=valeur ] [ -f fichier ] [ -h ] [ -i secondes ] [ -j ] [ -n compte_répétitions ] [ -q ] [ -t ] [ -v ] URI_imprimante fichier_test [ ... fichier_test ]

DESCRIPTION
ipptool envoie des requêtes IPP à l’uri_imprimante indiqué puis teste et/ou affiche les résultats. Chaque fichier nommé fichier_test définit une ou plusieurs requêtes, incluant les états, les attributs, et les valeurs des réponses attendues. La sortie est soit du texte pur, du texte formaté, du CSV ou un compte-rendu XML affiché sur la sortie standard, avec un état d’erreur non nul signifiant qu’un ou plusieurs tests ont échoués. Le format du fichier_test est décrit dans ipptoolfile(5).

OPTIONS
Les options suivantes sont reconnues par ipptool :

--help
    Afficher l’aide du programme.

--ippserver fichier
    Indiquer que les résultats du test seront écrits dans le fichier nommé d’attributs de ippserver.

--stop-after-include-error
    Indiquer à ipptool d’arrêter si une erreur survient dans un fichier inclus. Normalement ipptool continuera les tests suivants après la directive INCLUDE.

--version
    Afficher la version de ipptool utilisée.

-4  Indiquer que ipptool doit se connecter à l’imprimante ou au serveur en utilisant IPv4.

-6  Indiquer que ipptool doit se connecter à l’imprimante ou au serveur en utilisant IPv6.

-C  Indiquer que les requêtes doivent être envoyées avec l’en-tête de HTTP/1.1 « Transfer-Encoding: chunked », comme exigé pour conformité par toutes les versions d’IPP. Par défaut « Transfer-Encoding: chunked » est utilisé pour les requêtes avec des fichiers joints et « Content-Length: » pour des requêtes sans fichier joint

-E  Forcer le chiffrement TLS lors de la connexion au serveur en utilisant l’en-tête HTTP « Upgrade ».

-I  Indiquer que ipptool continuera après les erreurs.

-L  Indiquer que les requêtes seront envoyées avec l’en-tête HTTP/1.0 « Content-Length: », comme exigé pour conformité par toutes les versions d’IPP. Par défaut « Transfer-Encoding: chunked » est utilisé pour les requêtes avec fichiers joints et « Content-Length: » pour celles sans fichier joint.

-P fichier.plist
    Indiquer que les résultats de test devront être écrits dans le XML nommé (plist d’Apple) en plus du rapport de test normal -t. Cette option est incompatible avec les options -i (intervalle) et -n (nombre_répétitions).

-S  Forcer le chiffrement TLS dédié lors de la connexion au serveur.

-T secondes
    Définir le délai d'attente des requêtes IPP (en seconde).

-V version
    Définir la version par défaut d’IPP à utiliser : 1.0, 1.1, 2.0, 2.1, ou 2.2. Sans indication, la version 1.1 sera utilisée.

-X  Indiquer qu’une sortie XML (plist d’Apple) est demandée plutôt qu’en texte pur. Cette option est incompatible avec les options -i (intervalle) et -n (nombre_répétitions).

-c  Indiquer qu’une sortie CSV (valeurs séparées par des virgules) est demandée plutôt qu’en texte pur.

-d nom=valeur
    Définir la variable nommée.

-f fichier
    Indiquer le nom du fichier de requêtes par défaut pour les tests.

-h  Valider les en-têtes de réponse HTTP.

-i secondes
    Indiquer que le (dernier) fichier fichier_test sera repris après l’intervalle donné. Cette option est incompatible avec l’option -X (sortie plist XML).

-j  Indiquer que ipptool produira une sortie JSON.

-l  Définir si une sortie en texte pur est désirée.

-n  nombre_répétitions
    Indiquer que le (dernier) fichier fichier_test sera repris le nombre de fois donné. Cette option est incompatible avec l’option -X (sortie plist XML).

-q  Rester silencieux et ne produire aucune sortie

-t  Définir si le rapport de test de CUPS plutôt qu’une sortie en texte pur est désiré.

-v  Indiquer que tous les attributs de requête et réponse seront affichés lors du mode test (-t) de CUPS. C’est la sortie XML par défaut.

CODE DE RETOUR
Le programme ipptool retourne 0 si tous les tests réussissent, sinon 1.

FICHIERS
Les fichiers standard suivants sont disponibles :

    color.jpg
    create-printer-subscription.test
    document-a4.pdf
    document-a4.ps
    document-letter.pdf
    document-letter.ps
    get-completed-jobs.test
    get-jobs.test
    get-notifications.test
    get-printer-attributes.test
    get-subscriptions.test
    gray.jpg
    ipp-1.1.test
    ipp-2.0.test
    ipp-2.1.test
    ipp-2.2.test
    ipp-everywhere.test
    onepage-a4.pdf
    onepage-a4.ps
    onepage-letter.pdf
    onepage-letter.ps
    print-job.test
    print-job-deflate.test
    print-job-gzip.test
    testfile.jpg
    testfile.pcl
    testfile.pdf
    testfile.ps
    testfile.txt
    validate-job.test

CONFORMITÉ
Le programme ipptool est particulier à CUPS et est conforme au protocole IPP jusqu’à la version 2.2.

EXEMPLES
Obtenir une liste de travaux terminés pour « mon_imprimante » :

    ipptool ipp://localhost/printers/mon_imprimante get-completed-jobs.test

Envoyer des notifications par courriel à « user@example.com » quand « mon_imprimante » change :

    ipptool -d recipient=mailto:user@example.com \
        ipp://localhost/printers/mon_imprimante create-printer-subscription.test

VOIR AUSSI
ipptoolfile(5), IANA IPP Registry (https://www.iana.org/assignments/ipp-registrations), PWG Internet Printing Protocol Workgroup (https://www.pwg.org/ipp) RFC 8011 (https://datatracker.ietf.org/doc/html/rfc8011),

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.